> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md).

# 88. Mutasjon: Eksporter sonekart som komprimert shapefil

Generer et ZIP-arkiv med det valgte «ZonesMap» som shapefil.

{% hint style="info" %}
Arkivet består av filene \*.shp, \*.shx, \*.prj og \*.dbf i EPSG:4326.
{% endhint %}

### 1. Forberedelser

* Attributtet  `vectorAnalysisMaps`  inneholder en matrise med ZonesMaps-objekter (VectorAnalysisMaps) som skal eksporteres. Hvert slikt objekt inneholder et par med  `fieldUuid`  (kobling til det valgte skiftet) og  `uuid`  (kobling til det valgte ZonesMap).
* Det boolske attributtet  `asMultiGeometry`  avgjør om sonene eksporteres som  `Polygons`  eller  `MultiPolygons`  (når verdien er  `true` ).
* ). Det boolske attributtet  `onlyProductColumns`  angir om bare kolonner med produkter (RX) skal inkluderes i shapefilen (når verdien er  `true`). Ellers inkluderes alle statistiske attributter og sone-ID-er som kolonner.
* Attributtet  `archiveName`  inneholder navnet på det genererte ZIP-arkivet.
* Attributtet  `filePostfix`  gjør det mulig å legge til egendefinerte suffikser i de eksporterte filene og arkivet.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Last ned det genererte arkivet

Når GraphQL-spørringen er kjørt, kan arkivet lastes ned med  `curl`  eller en tilsvarende metode.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
